<template>
  <el-tabs type="border-card" v-model="activeName" @tab-click="handleClick" >
    <template v-for="(item,index) in sourceData">
      <el-tab-pane :label="item.name" :name="item.source">
        <component v-if="activeName == item.source" :is="component" :rel="item.source" :projectSource="item.source"/>
      </el-tab-pane>

    </template>
    <!--el-tab-pane label="QQC-青青草" name="qqc">
      <GameConfigQQC  v-if="activeName == 'qqc'" ref="qqc"></GameConfigQQC>
    </el-tab-pane>
    <el-tab-pane label="XHY-小黄鸭" name="xhy">
      <GameConfigQQC v-if="activeName == 'xhy'" ref="xhy"></GameConfigQQC>
    </el-tab-pane>
    <el-tab-pane label="ZLT-糟老头" name="zlt">
      <GameConfigQQC v-if="activeName == 'zlt'" ref="zlt"></GameConfigQQC>
    </el-tab-pane-->
  </el-tabs>
</template>

<script>
  import GameConfig from './gameConfig'
  import {getSourceList} from "@/api/gameConfigManager";
  export default {
    created() {
      this.sourceList();
    },
    data(){
      return {
        sourceData:[
        ],
        component : GameConfig,
        activeName: null,
      };
    },
    mounted(){
    },
    methods:{
      sourceList: function() {
        var sourceParams = {};
        sourceParams.pageSize = 1000;
        sourceParams.currentPage = 1;
        getSourceList(sourceParams).then(response => {
          this.sourceData.push(...response.data.records);
          this.activeName = this.sourceData[0].source;
        });
      },
      handleClick(tab, event) {
        this.activeName = tab.name;
      },
    }
  }
</script>

<style scoped>

</style>
